package be.iminds.ilabt.jfed.experimenter_gui.editor.impl;

import be.iminds.ilabt.jfed.experimenter_gui.editor.ToolboxItem;
import be.iminds.ilabt.jfed.experimenter_gui.editor.views.EditableExperimentCanvas;
import be.iminds.ilabt.jfed.experimenter_gui.util.ImageUtil;
import javafx.geometry.Point2D;
import javafx.scene.image.Image;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 11:14
 */
public class GeantTestbedToolboxItem extends ToolboxItem {
    private static final int WEIGHT = -300;

    public GeantTestbedToolboxItem() {
        super("gts",
                "Geant Testbed",
                new Image(ImageUtil.class.getResource("/images/gts-cloud.png").toExternalForm()),
                new Image(ImageUtil.class.getResource("/images/gts-cloud.png").toExternalForm(),32,32, true, true),
                WEIGHT);
    }


    @Override
    public void onAddedToCanvas(EditableExperimentCanvas canvas, Point2D location) {
        canvas.getEditor().addGeantTestbedType(location);
    }
}
